package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)枚举类
*
* @author zxfei
*/
public enum NoticetTypeEnum {
    通知(0, "通知"),
    公告(1, "公告"),
    行业知识(2, "行业知识"),
    通用知识(3, "通用知识");
    private Integer value;
    private String desc;

    NoticetTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static NoticetTypeEnum getByValue(Integer value) {
        for (NoticetTypeEnum noticetTypeEnum : NoticetTypeEnum.values()) {
            if (noticetTypeEnum.getValue() == value) {
                return noticetTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (NoticetTypeEnum item : NoticetTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}